package com.ywt.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "order_remark_inform")
public class OrderRemarkInform {

    @Id
    private Integer id;

    /**
     * 订单Id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 订单号
     */
    @Column(name = "order_no", nullable = false)
    private String orderNo;

    /**
     * 备注的内容
     */
    @Column(name = "content", nullable = false)
    private String content;

    /**
     * 对应mg_admin表主键ID
     */
    @Column(name = "add_admin_id", nullable = false)
    private Integer addAdminId;

    /**
     * 对应mg_admin表account,添加备注内容的人
     */
    @Column(name = "add_admin", nullable = false)
    private String addAdmin;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private boolean deleted;

    /**
     * 是否处理，0-待处理，1-已处理
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 对应mg_admin表主键ID
     */
    @Column(name = "deal_admin_id")
    private Integer dealAdminId;

    /**
     * 对应mg_admin表account,处理该备注的人
     */
    @Column(name = "deal_admin")
    private String dealAdmin;

    /**
     * 业务，对应 {@link com.ywt.mg.domain.models.enums.OrderTypeEnum}
     */
    @Column(name = "type")
    private Integer type;

    /**
     * 业务名称
     */
    @Column(name = "type_name")
    private String typeName;

    /**
     * 来源
     */
    @Column(name = "origin")
    private String origin;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getAddAdminId() {
        return addAdminId;
    }

    public void setAddAdminId(Integer addAdminId) {
        this.addAdminId = addAdminId;
    }

    public String getAddAdmin() {
        return addAdmin;
    }

    public void setAddAdmin(String addAdmin) {
        this.addAdmin = addAdmin;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDealAdminId() {
        return dealAdminId;
    }

    public void setDealAdminId(Integer dealAdminId) {
        this.dealAdminId = dealAdminId;
    }

    public String getDealAdmin() {
        return dealAdmin;
    }

    public void setDealAdmin(String dealAdmin) {
        this.dealAdmin = dealAdmin;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }
}
